/**
 * Copyright 2015 Confluent Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
package io.confluent.support.metrics.utils;

import org.junit.Test;

import java.io.IOException;
import static org.junit.Assert.assertTrue;

public class JitterTest {
  @Test
  public void testAddOnePercentJitter() throws IOException {
    // Given
    long[] baseArray = {-2232, -1, 0, 99, 100, 101, 1000, 10000, 38742};

    // When/Then
    for (long base : baseArray) {
      long val = Jitter.addOnePercentJitter(base);
      assertTrue(base <= val);
      assertTrue(val <= base + Math.abs(base) / 100);
    }
  }
}
